Subject: Re: bug#50356: python-hy / python-funcparserlib / tox config file

From: Vinicius Monego <[email-masked]>
Date: Wed, 22 Dec 2021 16:53:05 +0000

Em qua, 2021-12-22 às 16:00 +0100, Jelle Licht escreveu:
> Vinicius Monego <[email-masked]> writes:
> 
> > Em sex, 2021-09-17 às 14:32 +0200, Jelle Licht escreveu:
> > > 
> > > Hello Andreas,
> > > 
> > > Andreas Reuleaux <[email-masked]> writes:
> > > 
> > > > Hi,
> > > > 
> > > > python-hy fails to install for me - because there are issues
> > > > with
> > > > python-funcparserlib, as I understand (or tox - cf the end of
> > > > the
> > > > log below).
> > > > 
> > > 
> > > It seems the hy and funcparserlib devs are coordinating new
> > > releases;
> > > perhaps we can resolve this issue by updating both python-
> > > funcparserlib
> > > and python-hy to their respective 1.0.0 releases once they are
> > > out.
> > > 
> > > - Jelle
> > > 
> > 
> > The problem is that funcparserlib 0.3.6 (which is the most recent
> > release at the moment) is incompatible with the Python version in
> > Guix.
> > There is an alpha for funcparserlib 1.0.0 in PyPI. I updated to
> > this
> > and Hy to 0.20.0 and it does work aside from 3 Hy tests failing
> > (from a
> > total of 621).
> 
> The develpoers of hy also have a 1.0a3 alpha release; does your
> package
> of funcparserlib work with that?
> 

Yes, again with 3 test failures, but the tests have different names
than that of 0.20.0.

[...]